package com.nokia.hb.Pojo;

import java.util.List;
import java.util.Map;

public class RetData {
    /**
     * 错误信息
     */
    String msg;
    List<Col> cols;
    List<Map<String,String>> datas;

    public RetData() {
    }

    public RetData(List<Col> cols, List<Map<String, String>> datas) {
        this.cols = cols;
        this.datas = datas;
    }

    public RetData(List<Col> cols, List<Map<String, String>> datas, String msg) {
        this.cols = cols;
        this.datas = datas;
        this.msg = msg;
    }

    public List<Col> getCols() {
        return cols;
    }

    public void setCols(List<Col> cols) {
        this.cols = cols;
    }

    public List<Map<String, String>> getDatas() {
        return datas;
    }

    public void setDatas(List<Map<String, String>> datas) {
        this.datas = datas;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "RetData{" +
                "msg='" + msg + '\'' +
                ", cols=" + cols +
                ", datas=" + datas +
                '}';
    }
}
